Name: XchangeIT Newsagent Client
 
Version: 2.0.0.0
 
Publisher: XchangeIT Link
 
The following prerequisites are required:
 
  • .NET Framework 3.5
  • Windows Installer 3.1
The following prerequisites are required but wont be installed automatically:
 
For Windows 7 and Windows 8 users:
  • These platforms have been tested and supported by XchangeIT.
If these components are already installed, you can launch the application now. Otherwise, click the button below to install the prerequisites and run the application.
 
 
 
ClickOnce and .NET Framework Resources